// test nokia lcd nxp in thai
#include "Nokia_lcd.h"
#include <avr/pgmspace.h>

Nokia_lcd lcd=Nokia_lcd();

void InitPort(){
  DDRB=0x2F;
}

void setup(void) {
  
  InitPort();
  LCD_BACKLIGHT(1);
  lcd.cLCD_Init();
    
}

void loop(void)
{
    aboutthai();
    colorbar();
    about();   
}
       
// waiting for center key press
void wait(){
  delay(5000);
}

void about(){
        lcd.cLCD_Box(0,0,131,131,FILL,LIGHTBLUE);
	lcd.cLCD_Box(10, 30, 120, 100, FILL, WHITE);  // dialog box
	lcd.cLCD_Box(50, 80, 80, 102, FILL, BLUE);  // OK button
	lcd.cLCD_String("OK", 56, 92, WHITE, BLUE);
	lcd.cLCD_String("Nuelectronics", 12, 50, BLACK, WHITE);  
	lcd.cLCD_String("Nokia LCD6610", 12, 64, BLACK, WHITE); 
	wait();
}

void aboutthai()
{       
        lcd.cLCD_Box(0,0,131,131,FILL,WHITE);
  	lcd.cLCD_ThaiString("HELLO WORLD 2008", 1, 1, WHITE, BLUE); 
  	lcd.cLCD_ThaiString("ʴջ硷", 1, 15, BLACK ,WHITE);       
       	lcd.cLCD_ThaiString("˹Ҵ,", 1, 30, BLACK ,WHITE);
        lcd.cLCD_ThaiString("ѧѴٴ",1,45,RED,WHITE);
        lcd.cLCD_ThaiString("ٴԴ˹ǤѺ",1,60,BLACK,WHITE);
        lcd.cLCD_ThaiString("اAVRѹ",1,75,GREEN ,WHITE);
        
        lcd.cLCD_ThaiString("ҿѹͷ", 10, 110, RED ,BLACK);
        lcd.cLCD_ThaiString("www.ayarafun.com", 18, 120, RED ,BLACK);         
        
	wait();	
}

void colorbar(){

  byte i;
  	int color[8]={
       WHITE, BLACK, RED, GREEN, BLUE, CYAN, MAGENTA, YELLOW 
    };
  char color_name[8][7]={
	"WHITE",
	"BLACK",
	"RED",
	"GREEN",
	"BLUE",
	"CYAN",
	"MAGENT",
	"YELLOW",
	};

	lcd.cLCD_Box(0,0,131,131,FILL,LIGHTBLUE);
	for(i=0; i<8; i++){
		lcd.cLCD_Box(10,(i+1)*10,120,(i+2)*10, FILL, color[i]);
		lcd.cLCD_String(color_name[i],30,(i+1)*10+2, WHITE, color[i] );
	}	
	lcd.cLCD_Box(50, 100, 80, 112, FILL, BLUE);  // OK button
	lcd.cLCD_String("OK", 56, 102, WHITE, BLUE);
	
  wait();	
}
